compiler errors

Nov 6, 2011 at 3:44 AM
Edited Nov 6, 2011 at 8:52 AM

I'm just trying out the PropertyGrid from the extended toolkit, working with VS 2010 Express C#

I'm having a few compiler errors with a test project using some attributes:

 

[ItemsSource]

 

Error     1   The type or namespace name 'ItemsSource' could not be found (are you missing a using directive or an assembly reference?)

Error    2    The type or namespace name 'ItemsSourceAttribute' could not be found (are you missing a using directive or an assembly reference?)

I receive the same type of errors for [ExpandableObject]

 

Everything else seems to be working fine. I've added a reference to WPFToolkit.Extended in my project, added "using Microsoft.Windows.Controls;" to my .cs file etc..

I can't seem to figure out where these attributes are defined.

 

Edit:

I also get errors in my xaml files:

The type 'extToolkit:EditorDefinition' was not found.

The attachable property 'PropertiesDefinitions' was not found in type 'EditorDefinition'.

The type 'extToolkit:PropertyDefinition' was not found.

etc...

 

Otherwise the PropertyGrid is working fine, I just can't use some properties and attributes.

Any help is appreciated.

Thanks.

Nov 7, 2011 at 1:20 PM

The attributes are in

Microsoft.Windows.Controls.PropertyGrid.Attributes

Nov 8, 2011 at 1:08 AM

Thanks for the reply, however, at the top of my .cs file:

using Microsoft.Windows.Controls.PropertyGrid.Attributes;

Error    1    The type or namespace name 'Attributes' does not exist in the namespace 'Microsoft.Windows.Controls.PropertyGrid' (are you missing an assembly reference?)

 

 

These all work fine:

using Microsoft.Windows.Controls.PropertyGrid.Commands;
using Microsoft.Windows.Controls.PropertyGrid.Converters;
using Microsoft.Windows.Controls.PropertyGrid.Editors;

 

I'm using referencing WPFToolkit.Extended.dll version 1.5.0.0 in my project, is this the correct file or something else wrong....

Nov 8, 2011 at 1:12 AM

Ahh that's the problem.  The feature you are trying to use is not available in v1.5.0.  They are only available in the current source code.  You must download the source code and compile the solution located in the main folder.

Nov 8, 2011 at 6:15 AM

That was it, Thank you